"use strict";
this.name               = "numerichudv3missileid.js";
this.author               = "CommonSenseOTB";
this.copyright            = "Copyright Apr. 21, 2012 by CommonSenseOTB, licensed under Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description         = "NumericHUDv3 missile identification script";
this.version            = "3";

this.activated = function()
   {
   if(player.ship.missiles.length === 0.0)
      {
	  return;
	  }
   if(missionVariables.numerichudv3missileid === null)
      {
	  missionVariables.numerichudv3missileid = 0.0;//should be 0.0 and should have remove equipment on a timer perhaps
	  }
   if(this.numerichudv3missileidcounter === null)
      {
	  this.numerichudv3missileidcounter = 1.0;
	  }
   if(this.numerichudv3missileidCheckTimer)
      {
      this.numerichudv3missileidCheckTimer.stop();
	  this.numerichudv3missileidcounter = 1.0;
      if(player.ship.equipmentStatus("EQ_NUMERIC3_MISSILE_PYLONID_" + missionVariables.numerichudv3missileid) === "EQUIPMENT_OK")
         {
         player.ship.removeEquipment("EQ_NUMERIC3_MISSILE_PYLONID_" + missionVariables.numerichudv3missileid);
	     }
      }
   missionVariables.numerichudv3missileid += 1.0;
   if((missionVariables.numerichudv3missileid > (player.ship.missiles.length)) && ((player.ship.missiles.length) > 0.0))
      {
	  missionVariables.numerichudv3missileid = 1.0;
	  }
   player.ship.awardEquipment("EQ_NUMERIC3_MISSILE_PYLONID_" + missionVariables.numerichudv3missileid);
   player.consoleMessage("Missile Pylon" + missionVariables.numerichudv3missileid + ": " + player.ship.missiles[missionVariables.numerichudv3missileid - 1].name, 6); 
   if(this.numerichudv3missileidCheckTimer)
      {
      this.numerichudv3missileidCheckTimer.start();
      }
  else
      {
      this.numerichudv3missileidCheckTimer = new Timer(this, this.numerichudv3missileidCheck,0,1);// use a timer to pause the pylon surround removal
      }   
   }

this.numerichudv3missileidCheck = function()
   {
   this.numerichudv3missileidcounter += 1.0;
   if(this.numerichudv3missileidcounter > 12.0)
      {
      this.numerichudv3missileidCheckTimer.stop();
	  this.numerichudv3missileidcounter = 1.0;
      if(player.ship.equipmentStatus("EQ_NUMERIC3_MISSILE_PYLONID_" + missionVariables.numerichudv3missileid) === "EQUIPMENT_OK")
         {
         player.ship.removeEquipment("EQ_NUMERIC3_MISSILE_PYLONID_" + missionVariables.numerichudv3missileid);
	     }
      }
   }
      